## com.thingmagic
Class Gen2.NXP.G2I.ConfigWord

    java.lang.Object
      com.thingmagic.Gen2.NXP.G2I.ConfigWord

Enclosing class:
  Gen2.NXP.G2I

    public static class Gen2.NXP.G2I.ConfigWord

extends java.lang.Object

Field Summary
`boolean` `conditionalReadRangeReduction_onOff` Conditional Read Range Reduction on/off (permanently stored in tag memory)
`boolean` `conditionalReadRangeReduction_openShort` Conditional Read Range Reduction open/short (permanently stored in tag memory)
`boolean` `dataMode` Transparent mode data/raw (reset at power up)
`boolean` `digitalOutput` Digital output (permanently stored in tag memory)
`boolean` `externalSupply` External supply flag digital input (read only)
`boolean` `invertDigitalOutput` Invert digital output (reset at power up)
`boolean` `maxBackscatterStrength` Maximum backscatter strength (permanently stored in tag memory)
`boolean` `privacyMode` Read range reduction on/off (permanently stored in tag memory)
`boolean` `psfAlarm` PSF alarm flag (Permanently stored in tag memory)
`boolean` `readProtectEPC` Read protect EPC bank (Permanently stored in tag memory)
`boolean` `readProtectTID` Read protect TID bank (permanently stored in tag memory)
`boolean` `readProtectUser` Read protect User memory bank (permanently stored in tag memory)
`boolean` `RFU2` RFU 2
`boolean` `RFU3` RFU 3
`boolean` `tamperAlarm` Tamper alarm flag (Read only)
`boolean` `transparentMode` Transparent mode on/off (reset at power up)

Constructor Summary
`Gen2.NXP.G2I.ConfigWord()`

Method Summary
`Gen2.NXP.G2I.ConfigWord` `ConfigWord(int inputData)`
`Gen2.NXP.G2I.ConfigWord` `getConfigWord(int inputData)` Retrieve configuration word

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### psfAlarm

    public boolean psfAlarm

  PSF alarm flag (Permanently stored in tag memory)

### readProtectTID

    public boolean readProtectTID

  Read protect TID bank (permanently stored in tag memory)

### readProtectEPC

    public boolean readProtectEPC

  Read protect EPC bank (Permanently stored in tag memory)

### readProtectUser

    public boolean readProtectUser

  Read protect User memory bank (permanently stored in tag memory)

### privacyMode

    public boolean privacyMode

  Read range reduction on/off (permanently stored in tag memory)

### digitalOutput

    public boolean digitalOutput

  Digital output (permanently stored in tag memory)

### maxBackscatterStrength

    public boolean maxBackscatterStrength

  Maximum backscatter strength (permanently stored in tag memory)

### conditionalReadRangeReduction_openShort

    public boolean conditionalReadRangeReduction_openShort

  Conditional Read Range Reduction open/short (permanently stored in tag memory)

### conditionalReadRangeReduction_onOff

    public boolean conditionalReadRangeReduction_onOff

  Conditional Read Range Reduction on/off (permanently stored in tag memory)

### dataMode

    public boolean dataMode

  Transparent mode data/raw (reset at power up)

### transparentMode

    public boolean transparentMode

  Transparent mode on/off (reset at power up)

### invertDigitalOutput

    public boolean invertDigitalOutput

  Invert digital output (reset at power up)

### RFU3

    public boolean RFU3

  RFU 3

### RFU2

    public boolean RFU2

  RFU 2

### externalSupply

    public boolean externalSupply

  External supply flag digital input (read only)

### tamperAlarm

    public boolean tamperAlarm

  Tamper alarm flag (Read only)

Constructor Detail

### Gen2.NXP.G2I.ConfigWord

    public Gen2.NXP.G2I.ConfigWord()

Method Detail

### ConfigWord

    public Gen2.NXP.G2I.ConfigWord ConfigWord(int inputData)

### getConfigWord

    public Gen2.NXP.G2I.ConfigWord getConfigWord(int inputData)

  Retrieve configuration word

  Parameters:
    `inputData` -
  Returns:
    cfgWord